/* Template PPob.r */
/* User-specified values.  This file should be edited per project.  */

/* Includes the PowerPlant definitions and sets the default field
   parameters: empty default text, 30 chars maximum, accepting only
   printable characters. */
#include "Template PPob Prefix.r"

/* TOP_CAPTION appears at the top of the plugin panel */
#define TOP_CAPTION       "<put Plugin description here>"

/* ENTRY_COUNT defines the number of fields used for data entry.
   There is a separator between entry fields and (non-editable)
   result fields.

   RESULT_COUNT defines the number of fields used for returning
   results.  There is a separator between entry and result fields.

   There must be no more than 5 fields total. */

#define ENTRY_COUNT       3
#define RESULT_COUNT      1


/* FIELD_n_TITLE is the caption for this field, defaults to "n"
   FIELD_n_DEFAULT is the default text for this field, defaults to ""
   FIELD_n_MAX_CHARS is the default maximum length for this field,
     defaults to 63
   FIELD_n_FILTER is the default key filter for this field, defaults
     to printingCharFilter.

   Entry fields are numbered 1 to ENTRY_COUNT.
   Result fields are numbered ENTRY_COUNT + 1 to (ENTRY_COUNT + 1) + RESULT_COUNT */

#define FIELD_1_TITLE     "Name:"
#define FIELD_2_TITLE     "Company:"
#define FIELD_3_TITLE     "Num of copies:"
#define FIELD_4_TITLE     "Serial Number:"

#define FIELD_3_MAX_CHARS 4
#define FIELD_3_FILTER    integerFilter

#include "Template PPob Script.r"
